import usb
from time import sleep

VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_LIGHT = 2

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None


board = find_board()
handle = board.open()
ans = 1

while(ans!=0):
        print "================"
        print "   1. start"
        print "   2. quit"
        print "================"
        choice = input("Enter choice: ")
        if choice == 1:
                req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
                tmp = handle.controlMsg(req,2,2)
                out = tmp[1]

                req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
                handle.controlMsg(req, 0, None, value=0x0102)
                sleep(1.0)

                handle.controlMsg(req, 0, None, value=0x0002)
                handle.controlMsg(req, 0, None, value=0x0101)
                sleep(2.0)

                handle.controlMsg(req, 0, None, value=0x0001)
                handle.controlMsg(req, 0, None, value=0x0100)
		
		score = 0
                time = 0.0
                while(time <= 30.0):
                        req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
                        light = handle.controlMsg(req,2,2)
                        play =  light[1]
                        sleep(1.0)
                        time = time + 1.0
                        if ((out - play) >= 30):
                                score = score + 1
                print "========== Game Over =========="
                print score

                handle.controlMsg(req, 0, None, value=0x0000)
                handle.controlMsg(req, 0, None, value=0x0102)
                sleep(4.0)
                handle.controlMsg(req, 0, None, value=0x0002)

        elif choice == 2:
                quit()


